From 3e5266491f1f9d55c6923cfc764089beec89e421 Mon Sep 17 00:00:00 2001
From: Ismael Luceno <ismael@iodev.co.uk>
Date: Thu, 19 Sep 2024 13:40:39 +0200
Subject: [PATCH] Fix callback func signatures

Signed-off-by: Ismael Luceno <ismael@iodev.co.uk>
---
 smatch.h                 | 2 +-
 smatch_untracked_param.c | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/smatch.h b/smatch.h
index 36ae3497d8de..ceb1907c9b46 100644
--- a/smatch.h
+++ b/smatch.h
@@ -1375,7 +1375,7 @@ bool buf_comp_has_bytes(struct expression *buf, struct expression *var);
 bool buf_comp2_has_bytes(struct expression *buf_expr, struct expression *var);
 
 /* smatch_untracked_param.c */
-void mark_untracked(struct expression *expr, int param, const char *key, const char *value);
+void mark_untracked(struct expression *expr, int param, char *key, char *value);
 void add_untracked_param_hook(void (func)(struct expression *call, int param));
 void add_lost_param_hook(void (func)(struct expression *call, int param));
 void mark_all_params_untracked(int return_id, char *return_ranges, struct expression *expr);
diff --git a/smatch_untracked_param.c b/smatch_untracked_param.c
index 4bb3c244699e..d24958e7a8ac 100644
--- a/smatch_untracked_param.c
+++ b/smatch_untracked_param.c
@@ -120,12 +120,12 @@ free:
 
 }
 
-void mark_untracked(struct expression *expr, int param, const char *key, const char *value)
+void mark_untracked(struct expression *expr, int param, char *key, char *value)
 {
 	mark_untracked_lost(expr, param, key, UNTRACKED_PARAM);
 }
 
-void mark_lost(struct expression *expr, int param, const char *key, const char *value)
+void mark_lost(struct expression *expr, int param, char *key, char *value)
 {
 	mark_untracked_lost(expr, param, key, LOST_PARAM);
 }
-- 
2.46.0

